## org.gnu.gdk
Class ImageType

    java.lang.Object
      org.gnu.glib.Enum
          org.gnu.gdk.ImageType

public class ImageType
extends Enum

Field Summary
`static ImageType` `FASTEST`
`static ImageType` `NORMAL`
`static ImageType` `SHARED`

Fields inherited from class org.gnu.glib.Enum
`value_`

Method Summary
`ImageType` `and(ImageType other)`
`static ImageType` `intern(int value)`
`ImageType` `or(ImageType other)`
`boolean` `test(ImageType other)`
`ImageType` `xor(ImageType other)`

Methods inherited from class org.gnu.glib.Enum
`equals, getValue, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NORMAL

    public static final ImageType NORMAL

### SHARED

    public static final ImageType SHARED

### FASTEST

    public static final ImageType FASTEST

Method Detail

### intern

    public static ImageType intern(int value)

### or

    public ImageType or(ImageType other)

### and

    public ImageType and(ImageType other)

### xor

    public ImageType xor(ImageType other)

### test

    public boolean test(ImageType other)